API Reference
PBCP
Overview

PBCP API

Send business events into the platform, then read customer context or stories back.

Base URL: https://pbcp-api.pcampus.co

How to connect

Authorization: Bearer pip_YOUR_API_KEY
x-tenant-id: your-tenant-id
Content-Type: application/json

Example — send an event

curl https://pbcp-api.pcampus.co/events \
  -H "Authorization: Bearer pip_YOUR_API_KEY" \
  -H "x-tenant-id: your-tenant-id" \
  -H "Content-Type: application/json" \
  -d '{
    "schemaVersion": "1.0",
    "tenantId": "your-tenant-id",
    "eventId": "550e8400-e29b-41d4-a716-446655440000",
    "eventName": "order.created",
    "occurredAt": "2026-07-15T10:00:00.000Z",
    "actor": { "type": "user", "id": "user-001" },
    "source": { "system": "your-app", "channel": "web" },
    "payload": { "orderId": "ORD-1001" }
  }'

Sample response

{
  "eventId": "550e8400-e29b-41d4-a716-446655440000",
  "status": "accepted"
}

More examples

PageWhen to use
Event APISend events from your system
Example eventsSample event names
Context APIRead the latest customer state
Story APIRead a composed story
Intelligence APIRead a sample recommendation